# Saillogger
Saillogger is a fully automated and maintenance-free marine log book and monitoring solution built by boaters for boaters. 

Saillogger automatically logs the details of your trips. These include track, speed, distance, wind speed, etc. Each trip is automatically detected and logged without requiring you take any action like starting or stopping a trip. It builds and maintains a digital memory for you and your boat.

At the end of each trip, a new log entry is automatically created, marking start and destination moorages. The time you spent at moorages will also be logged under Stays (e.g. Stayed 3 days in Eagle Harbor at anchor). You may need to manually categorize your stay as at anchor, mooring buoy or dock. If you choose to do so, that is the only manual thing to do, and it is completely optional. And if you classify a stay, Saillogger will remember it the next time you visit the same moorage.

Saillogger aggregates information about your trips and provides you statistics including the number of trips, moorages you have been to, countries you have visited, longest passages, time you spent at anchor, mooring buoys and more The easiest may be to look at the [statistics of one of our founders](https://saillogger.com/stats/7/) as an example.

One of the most popular features is an actual timelapse of your boat, it animates actual movements of your boat on a map using precise navigational information. See an [example](https://saillogger.com/timelapse/2/?start_date=2019-05-15&end_date=2020-01-31&speed=35&zoom=8) for a multi-week sail along the California coast between San Francisco and Ensenada.

A monitoring function allows you to see your boat's status while you are away from the boat and have a peace of mind. You can also configure e-mail and push notifications to your phone.

Your information stays private unless you explicitly decide to make it available publicly. If you choose to do so, your friends, family and others can access your statistics, log book entries, timelapse or monitoring information. You can configure each individually, for example you can make your timelapse public but keep everything else private if you wish.

Saillogger is a cloud based solution and requires an account on [Saillogger.com](https://saillogger.com). It also requires occassional Internet connectivity from your boat. Data is cached locally so you can go extended times without an Internet connection, data is uploaded when your boat becomes online.

You can find more information on [Saillogger.com](https://saillogger.com/support/)

## Features
* Maintenance free marine log book
* Remote monitoring of your boat when you are not there (position, weather, depth, and more)
* Automatically logging trips without manually starting or stopping anything
* Automatically capturing the details of your stays
* Customizable timelapse of your trips with actual, precise navigation information ([See example](https://saillogger.com/timelapse/2/?start_date=2019-05-15&end_date=2020-01-31&speed=35&zoom=8))
* Custom notes for logs and stays
* Export and download of logs
* Agrregated statistics: Number of trips, distance covered, time spent at anchorages, home ports etc. ([See example](https://saillogger.com/stats/7/))
* A global map built for you based on your trips

## Sample Screenshots
<div float="left" align="center">
  <img src="./screenshots/screenshot0.png" height="380">
  <img src="./screenshots/screenshot1.png" height="380">
  <img src="./screenshots/screenshot2.png" width="640">
  <img src="./screenshots/screenshot4.jpg" width="320">
  <img src="./screenshots/screenshot3.png" width="320">
  <img src="./screenshots/screenshot5.jpg" width="320">
</div>
